<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsClave($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varError = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varError=="OK") {
		$varTabla = $obj->FormuRegistro($_SESSION["_CUSE"]);
		$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
		$respuestaXajax->alert("LA CLAVE SE ACTUALIZO CORRECTAMENTE");
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varError."\nVERIFIQUE LOS DATOS POR FAVOR");
	
	return $respuestaXajax;
	}

function xGrabarAcceso($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsRoles($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoGrabarAcceso($varForm);
	$respuestaXajax = new xajaxResponse();	
	$varTabla = $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);	
	return $respuestaXajax;
	}
	
function xEliminar($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsRoles($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminar($varCod);	
	return true;
	}
			
$xajax->register(XAJAX_FUNCTION, 'comboNivel2');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xFormuPermiso');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xGrabarAcceso');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xGrabarJS() {
		if (xajax.$("claa") && xajax.$("claa").value == "") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR LA CLAVE ANTIGUA");  
			xajax.$("cla").focus();
			return (false); 
			}
		else if (xajax.$("cla1") && xajax.$("cla1").value == "") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA NUEVA CLAVE");  
			xajax.$("cla1").focus();
			return (false); 
			}	
		else if (xajax.$("cla2") && xajax.$("cla2").value == "") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE CONFIRMAR LA NUEVA CLAVE");  
			xajax.$("cla2").focus();
			return (false); 
			}
		else if (xajax.$("cla1").value != xajax.$("cla2").value) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nLA CONFIRMACION DE LA CLAVE NO COINCIDE");  
			xajax.$("cla2").focus();
			return (false); 
			}	
		if (confirm("¿DESEA CAMBIAR LA CLAVE?")) {
			xajax_xGrabar(xajax.getFormValues('form'));		
			}
		}

</script>
<?php
function GetTabla($obj) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuRegistro($_SESSION["_CUSE"]);
	echo "</div>";
	}
?>